Page MenuHomeFreeBSD

devel/oci-cli: use py-yaml instead of forked pyyaml5
ClosedPublic

Authored by dch on Feb 13 2023, 2:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 14 2024, 6:13 PM
Unknown Object (File)
Jan 12 2024, 4:35 AM
Unknown Object (File)
Jan 7 2024, 7:10 PM
Unknown Object (File)
Jan 7 2024, 7:09 PM
Unknown Object (File)
Jan 7 2024, 7:09 PM
Unknown Object (File)
Jan 7 2024, 7:09 PM
Unknown Object (File)
Dec 31 2023, 1:01 AM
Unknown Object (File)
Dec 31 2023, 1:01 AM
Subscribers

Details

Summary

Basic testing seems to show no issues with using the more recent
devel/py-yaml and reading https://github.com/yaml/pyyaml/releases/tag/6.0
suggests that the major change is actually dropping Python 2.7 support.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dch requested review of this revision.Feb 13 2023, 2:39 PM

only required for python 2.7 support so lets jump the shark

dch retitled this revision from devel/py-pyyaml5: avoid conflict with textproc/py-pyaml to devel/oci-cli: use py-yaml instead of forked pyyaml5.Feb 13 2023, 5:08 PM
dch edited the summary of this revision. (Show Details)
  • devel/oci-cli: update to 3.22.5
  • devel/py-oci: update to 2.91.0
This revision was not accepted when it landed; it landed in state Needs Review.Feb 26 2023, 10:43 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.